# mongoc_auto_encryption_opts_set_bypass_auto_encryption()

## Synopsis

    void
    mongoc_auto_encryption_opts_set_bypass_auto_encryption (
       mongoc_auto_encryption_opts_t *opts, bool bypass_auto_encryption);

## Parameters

- `opts`: The mongoc_auto_encryption_opts_t
- `bypass_auto_encryption`: A boolean. If true, a mongoc_client_t configured with mongoc_client_enable_auto_encryption() will only perform automatic decryption (not encryption).

## See also

- mongoc_client_enable_auto_encryption()
- The guide for Using Client-Side Field Level Encryption